picard.vcf

## Class RenameSampleInVcf

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.vcf.RenameSampleInVcf

-     public class RenameSampleInVcf
      extends CommandLineProgram

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `File` | `INPUT`
    `String` | `NEW_SAMPLE_NAME`
    `String` | `OLD_SAMPLE_NAME`
    `File` | `OUTPUT`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenameSampleInVcf()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `doWork()` Do the work after command line has been parsed.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Option(shortName="I",
                  doc="Input single sample VCF.")
          public File INPUT

    - #### OUTPUT

          @Option(shortName="O",
                  doc="Output single sample VCF.")
          public File OUTPUT

    - #### OLD_SAMPLE_NAME

          @Option(doc="Existing name of sample in VCF; if provided, asserts that that is the name of the extant sample name",
                  optional=true)
          public String OLD_SAMPLE_NAME

    - #### NEW_SAMPLE_NAME

          @Option(doc="New name to give sample in output VCF.")
          public String NEW_SAMPLE_NAME

  - ### Constructor Detail

    - #### RenameSampleInVcf

          public RenameSampleInVcf()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.